[Cubicweb] Installation de cubicweb

An Rl francois.role at gmail.com
Fri Jun 5 13:06:51 CEST 2009


Bonjour,

Pouvez-vous m'aider à résoudre un problème d'installation ? (Ubuntu Hardy)

Apres avoir exécuté :  aptitude install cubicweb


dpkg --get-selections | grep cubic

cubicweb                    install
cubicweb-common                    install
cubicweb-documentation                install
cubicweb-server                    install
cubicweb-twisted                install
cubicweb-web                    install

On ne voit pas cubicweb-ctl


L'erreur est peut-être ici :

Dépaquetage de cubicweb-ctl (à partir de .../cubicweb-ctl_3.2.0-1_all.deb)
...
dpkg : erreur de traitement de
/var/cache/apt/archives/cubicweb-ctl_3.2.0-1_all.deb (--unpack) :
 tentative de remplacement de « /usr/share/pyshared/cubicweb/cwctl.py », qui
appartient aussi au paquet cubicweb-common
Sélection du paquet cubicweb-client précédemment désélectionné.
Dépaquetage de cubicweb-client (à partir de
.../cubicweb-client_3.2.0-1_all.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/cubicweb-client_3.2.0-1_all.deb (--unpack) :
 tentative de remplacement de « /usr/share/pyshared/cubicweb/hercule.py »,
qui appartient aussi au paquet cubicweb-common


Sinon la sortie complete de l'installation est :

Dépaquetage de cubicweb-common (à partir de
.../cubicweb-common_3.2.0-1_all.deb) ...
Dépaquetage de cubicweb-ctl (à partir de .../cubicweb-ctl_3.2.0-1_all.deb)
...
dpkg : erreur de traitement de
/var/cache/apt/archives/cubicweb-ctl_3.2.0-1_all.deb (--unpack) :
 tentative de remplacement de « /usr/share/pyshared/cubicweb/cwctl.py », qui
appartient aussi au paquet cubicweb-common
Sélection du paquet cubicweb-client précédemment désélectionné.
Dépaquetage de cubicweb-client (à partir de
.../cubicweb-client_3.2.0-1_all.deb) ...
dpkg : erreur de traitement de
/var/cache/apt/archives/cubicweb-client_3.2.0-1_all.deb (--unpack) :
 tentative de remplacement de « /usr/share/pyshared/cubicweb/hercule.py »,
qui appartient aussi au paquet cubicweb-common
Sélection du paquet cubicweb-server précédemment désélectionné.
Dépaquetage de cubicweb-server (à partir de
.../cubicweb-server_3.2.0-1_all.deb) ...
Sélection du paquet cubicweb-web précédemment désélectionné.
Dépaquetage de cubicweb-web (à partir de .../cubicweb-web_3.2.0-1_all.deb)
...
Sélection du paquet cubicweb-twisted précédemment désélectionné.
Dépaquetage de cubicweb-twisted (à partir de
.../cubicweb-twisted_3.2.0-1_all.deb) ...
Sélection du paquet cubicweb précédemment désélectionné.
Dépaquetage de cubicweb (à partir de .../cubicweb_3.2.0-1_all.deb) ...
Sélection du paquet cubicweb-documentation précédemment désélectionné.
Dépaquetage de cubicweb-documentation (à partir de
.../cubicweb-documentation_3.2.0-1_all.deb) ...
Sélection du paquet fckeditor précédemment désélectionné.
Dépaquetage de fckeditor (à partir de .../fckeditor_1%3a2.5-1_all.deb) ...
Sélection du paquet python-psyco précédemment désélectionné.
Dépaquetage de python-psyco (à partir de .../python-psyco_1.5.1-3_i386.deb)
...
Des erreurs ont été rencontrées pendant l'exécution :
 /var/cache/apt/archives/cubicweb-ctl_3.2.0-1_all.deb
 /var/cache/apt/archives/cubicweb-client_3.2.0-1_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Échec de l'installation d'un paquet. Tentative de réparation :
Paramétrage de cubicweb-common (3.2.0-1) ...

Paramétrage de python-psyco (1.5.1-3) ...

Paramétrage de fckeditor (1:2.5-1) ...
Paramétrage de cubicweb-web (3.2.0-1) ...

dpkg : des problèmes de dépendances empêchent la configuration de cubicweb :
 cubicweb dépend de cubicweb-client (= 3.2.0-1) ; cependant :
  Le paquet cubicweb-client n'est pas installé.
dpkg : erreur de traitement de cubicweb (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de python-numpy (1:1.0.4-6ubuntu3) ...
pycentral: pycentral pkginstall: not overwriting local files
pycentral pkginstall: not overwriting local files
dpkg : erreur de traitement de python-numpy (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
dpkg : des problèmes de dépendances empêchent la configuration de
python-qwt4 :
 python-qwt4 dépend de python-numpy (>= 1.0.3) ; cependant :
 Le paquet python-numpy n'est pas encore configuré.
dpkg : erreur de traitement de python-qwt4 (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de
cubicweb-twisted :
 cubicweb-twisted dépend de cubicweb-ctl (= 3.2.0-1) ; cependant :
  Le paquet cubicweb-ctl n'est pas installé.
dpkg : erreur de traitement de cubicweb-twisted (--configure) :
 problèmes de dépendances - laissé non configuré
dpkg : des problèmes de dépendances empêchent la configuration de
cubicweb-server :
 cubicweb-server dépend de cubicweb-ctl (= 3.2.0-1) ; cependant :
  Le paquet cubicweb-ctl n'est pas installé.
dpkg : erreur de traitement de cubicweb-server (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de cubicweb-documentation (3.2.0-1) ...
Can't read doc-base file `/usr/share/doc-base/cubicweb-doc'
dpkg : erreur de traitement de cubicweb-documentation (--configure) :
 le sous-processus post-installation script a retourné une erreur de sortie
d'état 1
Des erreurs ont été rencontrées pendant l'exécution :
 cubicweb
 python-numpy
 python-qwt4
 cubicweb-twisted
 cubicweb-server
 cubicweb-documentation
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances
Lecture des informations d'état... Fait
Lecture de l'information d'état étendu
Initialisation de l'état des paquets... Fait
Écriture de l'information d'état étendu... Fait
Construction de la base de données des étiquettes... Fait
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.cubicweb.org/pipermail/cubicweb/attachments/20090605/55da6748/attachment-0186.html>


More information about the Cubicweb mailing list